@charset "UTF-8";
@import url('https://fonts.googleapis.com/css2?family=Lato:wght@300;400;700;900&display=swap');
html{
	height:100%;
}
body{
	font-family: 'Lato', sans-serif;
	overflow: auto;	
	margin:0;
	padding:0;
	font-size: 18px;
	line-height: 130%;
}

.problem-statement{
	background-image: url("../img/marble.jpg");
	background-repeat: repeat-y;
	background-size: cover;
	height:100%;
}

a{
	background:#2A9400;
	color:#fff;
	text-decoration: none;
	border-radius: 3px;
	padding:12px;
	margin-top:12px;
	display: inline-block;
}

#footer{
	background:#000;
	text-align: center;
}

#footer a{
	margin-bottom: 12px;
	width:50%;
}

#problem-container{
	margin-top:60px;
}

#problem{
	width:90%;
	max-width: 500px;
	background:white;
	margin:0 auto;
	padding:40px;
	font-size: 16px;
	line-height: 1.5rem;
	box-shadow: 0 0 10px 0px rgba(0,0,0,0.25);
}

#hero-container{
	margin:0;
	padding:0;
	width:100%;
	overflow: hidden;
}

#hero-image{
	width:100%;
	height:auto;
	display: block;
}
#hero-image-mobile{
	display: none;
	width:100%;
	height:auto;
}

#hero-content{
	margin:0 auto;
	width:32%;
	text-align: center;
	margin-top: 7%;
	color:#fff;
	position: absolute;
	top:0;
	left:0;
	right:0;
	text-shadow: 0 0 4px #000;
}

.mix #hero-content{
	color:#000;
	text-shadow: none;
}

h1{
	font-size: 1.78rem;
	font-weight: bold;
	margin:0;
	
}
h2{
	font-size: 1.22rem;
	font-weight: normal;
	margin-top:8px;
}

h3{
	font-size: 1.4rem;
	font-weight: bold;
}
#how-container{
	background-image: url("../img/marble.jpg");
	background-repeat: no-repeat;
	background-size: cover;
	text-align: center;
	color:#2A9400;
	padding:48px 0 48px 0;
}

#how-container h3{
	color:#2A9400;
}

#how-content{
	width:75%;
	margin:0 auto;
}

#mix-and-match{
	display: flex;
	margin:0 auto;
	margin-top:24px;
	text-align: left;
	align-items:center;
	width:75%;
}

#mix-and-match p{
	margin-top:12px;
}

#mix-and-match .highlight{
	background:rgba(42, 148, 0, 0.15);
	padding:1px 3px 1px 3px;
	margin-bottom:1px;
	display: inline;
	line-height: 1.4rem;
}
#mix-and-match .col{
	width:50%;
	padding:24px;
	box-sizing: border-box;
}

#feature-container{
	display: flex;
	justify-content: center;
	flex-direction: row;
	margin-top:24px;
}

.feature-container{
	width:33%;
	padding:0 24px 0 24px;
}

.feature-container .img-container{
	width:150px;
	height: 150px;
	border-radius: 50%;
	overflow: hidden;
	background:#fff;
	text-align: center;
	margin:0 auto;
	margin-bottom:12px;
	border:5px solid #2A9400;
}

#bottom-section{
	background-image: url("../img/stone.jpg");
	background-size: cover;
	background-position: bottom;
	height:450px;
	overflow: hidden;
	position: relative;
	display: block;
}

.prepared #bottom-section{
	background-image: url("../img/pork.jpg");
	background-position: bottom right;
	height:auto;
}

#tray{
	height:100%;
	width:33%;
	display: block;
	margin:24px 0 24px 0;
}

#bottom-section-content{
	width:75%;
	margin:0 auto;
	display: flex;
	align-items: center;
	color:#fff;
	margin-top:48px;
	z-index: 1;
	text-shadow: 0 0 4px #000;
}

.prepared #bottom-section-content{
	margin-top:0;
}

#bottom-section .col{
	width:33%;
	padding:48px 24px 48px 24px;
}

.prepared #bottom-section-text{
	width:67%;
}

.prepared #bottom-intro{
	margin-bottom: 24px;
}

#bottom-section h3{
	margin-bottom:8px;
}

#bottom-col-1{
	width:66%;
}

#bottom-section ul {
  list-style: none;
}


#bottom-section li{
	margin-bottom:12px;
	padding-left:24px;
	position: relative;
}

#bottom-section ul li:before {
	content: '✓';
	position: absolute;
	left:0;
}


@media only screen and (max-width: 1024px) {
	body{
		font-size:16px;
	}
	#hero-content{
		width:45%;
	}
}


@media only screen and (max-width: 768px) {
	body{
		font-size:14px;
	}

	h1{
		font-size: 1.5rem;
		font-weight: bold;
		margin:0;

	}
	h2{
		font-size: 1.1rem;
		font-weight: normal;
		margin-top:8px;
	}
	#hero-content{
		width:60%;
	}
}
@media only screen and (max-width: 750px) {

	#problem-container{
		padding:24px 0 24px 0;
		margin-top:0;
	}
	#problem{
		overflow: hidden;
		box-sizing: border-box;
	}
	body{
		font-size:16px;
	}
	#hero-image{
		display: none;
	}
	#hero-image-mobile{
		display: block;
	}
	#hero-content{
		width:auto;
		padding:24px;
		margin-top:48px;
	}
	#how-container{
		padding:24px 0 24px 0;
	}
	#feature-container{
		flex-direction: column;
	}
	.feature-container{
		width:100%;
		padding: 0;
		margin-bottom: 24px;
	}
	#bottom-section{
		height:auto;
		padding: 24px;
	}
	#bottom-section-content{
		width:100%;
		flex-direction: column;
		margin:0;
	}
	
	#bottom-col-1{
		width:100%;
		margin-bottom: 24px;
	}
	
	#bottom-section .col{
		width:100%;
		padding:0px;
	}
	#mix-and-match{
		flex-direction: column;
		width:100%;
	}
	
	#mix-and-match .col{
		width:100%;
	}
	
	#tray{
		order:1;
		width:100%;
		height:auto;
	}
	.prepared #bottom-section{
		background-image: url("../img/pork-mobile.jpg");
		background-position: bottom center;
	}
	#bottom-section-text{
		order:2;
	}
}